<?php
/**
 * @brief		(TB) QR Code Share Service Application Class
 * @author		<a href='https://invisionbyte.net'>Terabyte - Invision Byte</a>
 * @copyright	(c) Invision Byte
 * @package		(TB) QR Code Share Service
 * @since		1.0.0
 */
 
namespace IPS\tbqcss;

/**
 * (TB) QR Code Share Service Application Class
 */
class _Application extends \IPS\Application
{
	/**
	 * [Node] Get Node Icon
	 *
	 * @return	string
	 */
	protected function get__icon()
	{
		return 'qrcode';
	}
	
	/**
	 * Install 'other' items. Left blank here so that application classes can override for app
	 *  specific installation needs. Always run as the last step.
	 *
	 * @return void
	 */
	public function installOther()
	{
		# Add our new shiny ShareLinks Service entry
		$newService	= new \IPS\core\ShareLinks\Service;
		$newService->title		= 'QR Code';
		$newService->key		= 'qrcode';
		$newService->groups		= '*';
		$newService->enabled	= 1;
		$newService->save();
		
		# Set position to be the ID just like the other default rows
		$newService->position = $newService->id;
		$newService->save();
	}
}