//<?php
/**
 * @brief		Hook on class `\IPS\Content\ShareServices`
 * @author		<a href='https://invisionbyte.net'>Terabyte - Invision Byte</a>
 * @copyright	(c) Invision Byte
 * @package		(TB) QR Code Share Service
 * @since		1.0.0
 */

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

/**
 * @mixin \IPS\Content\ShareServices
 */
abstract class tbqcss_hook_tbqcssCodeContentShareServices extends _HOOK_CLASS_
{
	/**
	 * Get services
	 *
	 * @return	array
	 */
	public static function services()
	{
		try
		{
			# Parent call
			$services = parent::services();
			
			# Add our class
			$services['Qrcode'] = 'IPS\tbqcss\ShareServices\Qrcode';
			
			# Return
			return $services;
		}
		catch ( \Error | \RuntimeException $e )
		{
			if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
			{
				\IPS\Log::log( $e, 'hook_exception' );
			}

			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
}
